
ifndef $(MY_APPS_BUILD_FLAGS_MAK)
MY_APPS_BUILD_FLAGS_MAK = 1

# currently required to be set to yes
BUILD_IGNORE_LIB_ORDER?=yes

# Build for SoC
BUILD_TARGET_MODE?=yes

# valid values: release debug all
PROFILE?=release

# Build specific CPUs
BUILD_CPU_MPU1?=yes
BUILD_CPU_MCU1_0?=yes
BUILD_CPU_MCU2_0?=yes
BUILD_CPU_MCU2_1?=yes
BUILD_CPU_MCU3_0?=yes
BUILD_CPU_MCU3_1?=yes
BUILD_CPU_C7x_1?=yes

# NOT supported right now in this package
BUILD_CPU_C6x_1?=no
BUILD_CPU_C6x_2?=no

BUILD_LINUX_A72?=yes

# PDK board to build for, valid values: j721e_sim j721e_evm
BUILD_PDK_BOARD=j721e_evm

# when mcu2-1 build is enabled, mcu2-0 must also be built
ifeq ($(BUILD_CPU_MCU2_1),yes)
BUILD_CPU_MCU2_0=yes
endif

# Build a specific CPU type's based on CPU flags status defined above
ifneq (,$(filter yes,$(BUILD_CPU_MCU1_0) $(BUILD_CPU_MCU1_1) $(BUILD_CPU_MCU2_0) $(BUILD_CPU_MCU2_1) $(BUILD_CPU_MCU3_0) $(BUILD_CPU_MCU3_1)))
BUILD_ISA_R5F=yes
else
BUILD_ISA_R5F=no
endif
ifneq (,$(filter yes,$(BUILD_CPU_C6x_1) $(BUILD_CPU_C6x_2)))
BUILD_ISA_C6x=yes
else
BUILD_ISA_C6x=no
endif
ifneq (,$(filter yes,$(BUILD_CPU_C7x_1)))
BUILD_ISA_C7x=yes
else
BUILD_ISA_C7x=no
endif
ifneq (,$(filter yes,$(BUILD_CPU_MPU1)))
BUILD_ISA_A72=yes
else
BUILD_ISA_A72=no
endif

endif # ifndef $(MY_APPS_BUILD_FLAGS_MAK)
